<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="template.xhtml">
        <ui:define name="content">
            <h2>Lista wszystkich klientów</h2>
            <h:form>
                <h:dataTable value = "#{custCon.customers}" var = "customer"
                             styleClass = "employeeTable"
                             headerClass = "employeeTableHeader"
                             rowClasses = "employeeTableOddRow,employeeTableEvenRow">
                    <h:column>    				
                        <f:facet name = "header">Imię</f:facet>  
                            #{customer.firstName}                        
                    </h:column>
                    <h:column>    				
                        <f:facet name = "header">Nazwisko</f:facet>  
                            #{customer.lastName}                        
                    </h:column>
                    <h:column>    				
                        <f:facet name = "header">Nazwa firmy</f:facet>  
                            #{customer.name}                        
                    </h:column>
                    <h:column>    				
                        <f:facet name = "header">NIP</f:facet>  
                            #{customer.nip}                        
                    </h:column>
                    <h:column>    				
                        <f:facet name = "header">PESEL</f:facet>  
                            #{customer.pesel}                        
                    </h:column>
                    <h:column>    				
                        <f:facet name = "header">Adres</f:facet>  
                        #{customer.address}                        
                    </h:column>
                    <h:column>
                        <f:facet name = "header">Delete</f:facet>
                        <h:commandButton value = "Delete" action = "#{custCon.deleteCustomer(customer)}"  />                                 
                    </h:column>
                </h:dataTable>

                <br/><br/>
                <table> <tr>
                        <td><h2>Dodaj nowego klienta:</h2></td>
                        #{custCon.customerTypeBusinessSet(true)}
                        <td><h3><h:messages style = "color:red;margin:8px;" /></h3> </td>
                    </tr>
                    <tr><h2>(Firma)</h2></tr>
                    <tr>
                        <td> <h:commandButton action = "customers" value = "Klient prywatny" /></td>
                        <td><h:commandButton action = "customers_biz" value = "Firma" /></td>
                        <td><br/><br/><br/><br/></td>
                    </tr>  
                    <tr>
                        <td>Nazwa firmy :</td>
                        <td><h:inputText size = "30" value = "#{custCon.name}" /></td>
                    </tr>       
                    <tr>
                        <td>Nip :</td>
                        <td><h:inputText size = "30" value = "#{custCon.nip}" /></td>
                    </tr>  
                     <tr>
                        <td>Adres :</td>
                        <td><h:inputText size = "30" value = "#{custCon.address}" /></td>
                    </tr>  


                    <tr>
                        <td> </td>
                        <td><h:commandButton value = "Dodaj klienta" 
                                             action = "#{custCon.addBuisnessCustomer()}" />
                        </td>
                    </tr>
                </table>	


            </h:form>
        </ui:define>

    </ui:composition>
</html>

